diff --git a/src/responder/nss/nsssrv_services.c b/src/responder/nss/nsssrv_services.c
index 79caa7d..837825a 100644
--- a/src/responder/nss/nsssrv_services.c
+++ b/src/responder/nss/nsssrv_services.c
@@ -168,7 +168,7 @@ getserv_send(TALLOC_CTX *mem_ctx,
          sysdb = dom->sysdb;
          if (sysdb == NULL) {
              DEBUG(SSSDBG_CRIT_FAILURE,
-                   ("Critical: Sysdb CTX not found for [%s]!\n", dom->name));
+                   "Critical: Sysdb CTX not found for [%s]!\n", dom->name);
              ret = EINVAL;
              goto immediate;
          }
@@ -184,11 +184,11 @@ getserv_send(TALLOC_CTX *mem_ctx,
              /* If negatively cached, return we didn't find it */
              if (ret == EEXIST) {
                  DEBUG(SSSDBG_TRACE_FUNC,
-                       ("Service [%s:%s] does not exist in [%s]! "
+                       "Service [%s:%s] does not exist in [%s]! "
                         "(negative cache)\n",
                         SVC_NAME_CASED,
                         SVC_PROTO_CASED ? SVC_PROTO_CASED : "<ANY>",
-                        dom->name));
+                        dom->name);
 
                  /* If this is a multi-domain search, try the next one */
                  if (cmdctx->check_next) {
@@ -207,10 +207,10 @@ getserv_send(TALLOC_CTX *mem_ctx,
 
              /* Check the cache */
              DEBUG(SSSDBG_TRACE_FUNC,
-                   ("Checking cache for [%s:%s@%s]\n",
+                   "Checking cache for [%s:%s@%s]\n",
                     SVC_NAME_CASED,
                     SVC_PROTO_CASED ? SVC_PROTO_CASED : "<ANY>",
-                    dom->name));
+                    dom->name);
 
              ret = sysdb_getservbyname(state, sysdb, dom,
                                        SVC_NAME_CASED,
@@ -225,11 +225,11 @@ getserv_send(TALLOC_CTX *mem_ctx,
              /* If negatively cached, return we didn't find it */
              if (ret == EEXIST) {
                  DEBUG(SSSDBG_TRACE_FUNC,
-                       ("Service [%"PRIu16":%s] does not exist in [%s]! "
+                       "Service [%"PRIu16":%s] does not exist in [%s]! "
                         "(negative cache)\n",
                         port,
                         SVC_PROTO_CASED ? SVC_PROTO_CASED : "<ANY>",
-                        dom->name));
+                        dom->name);
 
                  /* If this is a multi-domain search, try the next one */
                  if (cmdctx->check_next) {
@@ -248,10 +248,10 @@ getserv_send(TALLOC_CTX *mem_ctx,
 
              /* Check the cache */
              DEBUG(SSSDBG_TRACE_FUNC,
-                   ("Checking cache for [%"PRIu16":%s@%s]\n",
+                   "Checking cache for [%"PRIu16":%s@%s]\n",
                     port,
                     SVC_PROTO_CASED ? SVC_PROTO_CASED : "<ANY>",
-                    dom->name));
+                    dom->name);
 
              ret = sysdb_getservbyport(state, sysdb, dom, port,
                                        SVC_PROTO_CASED,
@@ -278,8 +278,8 @@ getserv_send(TALLOC_CTX *mem_ctx,
                           * We'll log an error and continue.
                           */
                          DEBUG(SSSDBG_MINOR_FAILURE,
-                               ("Could not set negative cache for [%s][%s]\n",
-                                SVC_NAME_CASED, SVC_PROTO_CASED));
+                               "Could not set negative cache for [%s][%s]\n",
+                                SVC_NAME_CASED, SVC_PROTO_CASED);
                      }
                  } else {
                      ret = sss_ncache_set_service_port(nctx->ncache, false,
@@ -291,9 +291,9 @@ getserv_send(TALLOC_CTX *mem_ctx,
                           * We'll log an error and continue.
                           */
                          DEBUG(SSSDBG_MINOR_FAILURE,
-                               ("Could not set negative cache for "
+                               "Could not set negative cache for "
                                 "[%"PRIu16"][%s]\n",
-                                state->port, SVC_PROTO_CASED));
+                                state->port, SVC_PROTO_CASED);
                      }
                  }
              }
@@ -313,7 +313,7 @@ getserv_send(TALLOC_CTX *mem_ctx,
          /* Found a result. Check its validity */
          if (state->res->count > 1) {
              DEBUG(SSSDBG_OP_FAILURE,
-                   ("getservby* returned more than one result!\n"));
+                   "getservby* returned more than one result!\n");
              ret = ENOENT;
              goto immediate;
          }
@@ -348,7 +348,7 @@ getserv_send(TALLOC_CTX *mem_ctx,
                   * queue the cache entry for update out-of-band.
                   */
                  DEBUG(SSSDBG_TRACE_FUNC,
-                       ("Performing midpoint cache update\n"));
+                       "Performing midpoint cache update\n");
 
                  /* Update the cache */
                  subreq = sss_dp_get_account_send(cctx, cctx->rctx,
@@ -358,8 +358,8 @@ getserv_send(TALLOC_CTX *mem_ctx,
                                                   port, NULL);
                  if (!subreq) {
                      DEBUG(SSSDBG_CRIT_FAILURE,
-                           ("Out of memory sending out-of-band data provider "
-                            "request\n"));
+                           "Out of memory sending out-of-band data provider "
+                            "request\n");
                      /* This is non-fatal, so we'll continue here */
                  }
                  /* We don't need to listen for a reply, so we will free the
@@ -467,11 +467,11 @@ static void lookup_service_done(struct tevent_req *subreq)
     talloc_zfree(subreq);
     if (ret != EOK) {
         DEBUG(SSSDBG_OP_FAILURE,
-              ("Unable to get information from Data Provider\n"
+              "Unable to get information from Data Provider\n"
                "dp_error: [%u], errno: [%u], error_msg: [%s]\n"
                "Will try to return what we have in cache\n",
                (unsigned int)err_maj, (unsigned int)err_min,
-               err_msg ? err_msg : "none"));
+               err_msg ? err_msg : "none");
     }
 
     /* Recheck the cache after the lookup.
@@ -484,18 +484,18 @@ static void lookup_service_done(struct tevent_req *subreq)
     sysdb = dom->sysdb;
     if (sysdb == NULL) {
         DEBUG(SSSDBG_CRIT_FAILURE,
-              ("Critical: Sysdb CTX not found for [%s]!\n",
-                dom->name));
+              "Critical: Sysdb CTX not found for [%s]!\n",
+                dom->name);
         ret = EINVAL;
         goto done;
     }
 
     if (state->name) {
         DEBUG(SSSDBG_TRACE_FUNC,
-              ("Re-checking cache for [%s:%s@%s]\n",
+              "Re-checking cache for [%s:%s@%s]\n",
                SVC_NAME_CASED,
                SVC_PROTO_CASED ? SVC_PROTO_CASED : "<ANY>",
-               dom->name));
+               dom->name);
 
         ret = sysdb_getservbyname(state, sysdb, dom,
                                   SVC_NAME_CASED,
@@ -503,10 +503,10 @@ static void lookup_service_done(struct tevent_req *subreq)
                                   &state->res);
     } else {
         DEBUG(SSSDBG_TRACE_FUNC,
-              ("Re-checking cache for [%"PRIu16":%s@%s]\n",
+              "Re-checking cache for [%"PRIu16":%s@%s]\n",
                state->port,
                SVC_PROTO_CASED ? SVC_PROTO_CASED : "<ANY>",
-               dom->name));
+               dom->name);
 
         ret = sysdb_getservbyport(state, sysdb, dom,
                                   state->port,
@@ -528,8 +528,8 @@ static void lookup_service_done(struct tevent_req *subreq)
                  * We'll log an error and continue.
                  */
                 DEBUG(SSSDBG_MINOR_FAILURE,
-                      ("Could not set negative cache for [%s][%s]\n",
-                       SVC_NAME_CASED, SVC_PROTO_CASED));
+                      "Could not set negative cache for [%s][%s]\n",
+                       SVC_NAME_CASED, SVC_PROTO_CASED);
             }
         } else {
             ret = sss_ncache_set_service_port(nctx->ncache, false,
@@ -541,8 +541,8 @@ static void lookup_service_done(struct tevent_req *subreq)
                  * We'll log an error and continue.
                  */
                 DEBUG(SSSDBG_MINOR_FAILURE,
-                      ("Could not set negative cache for [%"PRIu16"][%s]\n",
-                       state->port, SVC_PROTO_CASED));
+                      "Could not set negative cache for [%"PRIu16"][%s]\n",
+                       state->port, SVC_PROTO_CASED);
             }
         }
 
@@ -635,8 +635,8 @@ fill_service(struct sss_packet *packet,
         /* new service */
         if (!ldb_msg_check_string_attribute(msg, "objectClass",
                                             SYSDB_SVC_CLASS)) {
-            DEBUG(1, ("Wrong object (%s) found on stack!\n",
-                      ldb_dn_get_linearized(msg->dn)));
+            DEBUG(1, "Wrong object (%s) found on stack!\n",
+                      ldb_dn_get_linearized(msg->dn));
             continue;
         }
 
@@ -649,7 +649,7 @@ fill_service(struct sss_packet *packet,
         tmpstr = sss_get_cased_name(tmp_ctx, orig_name, dom->case_sensitive);
         if (tmpstr == NULL) {
             DEBUG(SSSDBG_CRIT_FAILURE,
-                  ("Could not identify service name, skipping\n"));
+                  "Could not identify service name, skipping\n");
             continue;
         }
         to_sized_string(&cased_name, tmpstr);
@@ -658,7 +658,7 @@ fill_service(struct sss_packet *packet,
         port = (uint16_t) ldb_msg_find_attr_as_uint(msg, SYSDB_SVC_PORT, 0);
         if (!port) {
             DEBUG(SSSDBG_CRIT_FAILURE,
-                  ("No port for service [%s]. Skipping\n", tmpstr));
+                  "No port for service [%s]. Skipping\n", tmpstr);
 
         }
 
@@ -684,7 +684,7 @@ fill_service(struct sss_packet *packet,
         tmpstr = sss_get_cased_name(tmp_ctx, orig_proto, dom->case_sensitive);
         if (tmpstr == NULL) {
             DEBUG(SSSDBG_CRIT_FAILURE,
-                  ("sss_get_cased_name failed, skipping\n"));
+                  "sss_get_cased_name failed, skipping\n");
             continue;
         }
         to_sized_string(&cased_proto, tmpstr);
@@ -829,17 +829,17 @@ int nss_cmd_getservbyname(struct cli_ctx *cctx)
                               &service_protocol);
     if (ret != EOK) {
         DEBUG(SSSDBG_OP_FAILURE,
-              ("Could not parse request\n"));
+              "Could not parse request\n");
         goto done;
     }
 
     dctx->protocol = service_protocol;
 
     DEBUG(SSSDBG_TRACE_FUNC,
-          ("Requesting info for service [%s:%s] from [%s]\n",
+          "Requesting info for service [%s:%s] from [%s]\n",
            service_name,
            service_protocol ? service_protocol : "<ANY>",
-           domname ? domname : "<ALL>"));
+           domname ? domname : "<ALL>");
 
     if (domname) {
         dctx->domain = responder_get_domain(cctx->rctx, domname);
@@ -957,7 +957,7 @@ errno_t parse_getservbyname(TALLOC_CTX *mem_ctx,
 
         if (j != blen - namelen - 1) {
             DEBUG(SSSDBG_MINOR_FAILURE,
-                  ("Body longer than the name and protocol\n"));
+                  "Body longer than the name and protocol\n");
             ret = EINVAL;
             goto done;
         }
@@ -967,8 +967,8 @@ errno_t parse_getservbyname(TALLOC_CTX *mem_ctx,
                                      &domname, &svc_name);
     if (ret != EOK) {
         DEBUG(SSSDBG_MINOR_FAILURE,
-              ("Could not split name and domain of [%s]\n",
-               rawname));
+              "Could not split name and domain of [%s]\n",
+               rawname);
         goto done;
     }
 
@@ -997,7 +997,7 @@ nss_cmd_getserv_done(struct tevent_req *req)
     talloc_zfree(req);
     if (reqret != EOK && reqret != ENOENT) {
         DEBUG(SSSDBG_OP_FAILURE,
-              ("getservbyname failed\n"));
+              "getservbyname failed\n");
         nss_cmd_done(cmdctx, reqret);
         return;
     }
@@ -1020,15 +1020,15 @@ nss_cmd_getserv_done(struct tevent_req *req)
         }
         if (ret != EOK) {
             DEBUG(SSSDBG_OP_FAILURE,
-                  ("Could not create response packet: [%s]\n",
-                   strerror(ret)));
+                  "Could not create response packet: [%s]\n",
+                   strerror(ret));
         }
 
         sss_cmd_done(cmdctx->cctx, cmdctx);
         return;
     }
 
-    DEBUG(SSSDBG_OP_FAILURE, ("Error creating packet\n"));
+    DEBUG(SSSDBG_OP_FAILURE, "Error creating packet\n");
 }
 
 errno_t parse_getservbyport(TALLOC_CTX *mem_ctx,
@@ -1085,7 +1085,7 @@ errno_t parse_getservbyport(TALLOC_CTX *mem_ctx,
 
         if (j != blen - port_and_padding_len - 1) {
             DEBUG(SSSDBG_MINOR_FAILURE,
-                  ("Body longer than the name and protocol\n"));
+                  "Body longer than the name and protocol\n");
             ret = EINVAL;
             goto done;
         }
@@ -1140,15 +1140,15 @@ int nss_cmd_getservbyport(struct cli_ctx *cctx)
                               &service_protocol);
     if (ret != EOK) {
         DEBUG(SSSDBG_OP_FAILURE,
-              ("Could not parse request\n"));
+              "Could not parse request\n");
         goto done;
     }
 
     dctx->protocol = service_protocol;
 
     DEBUG(SSSDBG_TRACE_FUNC,
-          ("Requesting info for service on port [%"PRIu16"/%s]\n",
-           port, service_protocol ? service_protocol : "<ANY>"));
+          "Requesting info for service on port [%"PRIu16"/%s]\n",
+           port, service_protocol ? service_protocol : "<ANY>");
 
     /* All port lookups are multidomain searches */
     dctx->domain = cctx->rctx->domains;
@@ -1199,7 +1199,7 @@ setservent_send(TALLOC_CTX *mem_ctx, struct cli_ctx *cctx)
     struct nss_ctx *nctx =
             talloc_get_type(cctx->rctx->pvt_ctx, struct nss_ctx);
 
-    DEBUG(SSSDBG_TRACE_FUNC, ("Received setservent request\n"));
+    DEBUG(SSSDBG_TRACE_FUNC, "Received setservent request\n");
 
     /* Reset the read pointers */
     cctx->svc_dom_idx = 0;
@@ -1299,8 +1299,8 @@ setservent_send(TALLOC_CTX *mem_ctx, struct cli_ctx *cctx)
         }
 
         DEBUG(SSSDBG_CRIT_FAILURE,
-              ("Error [%s] requesting info from domain [%s]. Skipping.\n",
-               strerror(ret), step_ctx->dctx->domain->name));
+              "Error [%s] requesting info from domain [%s]. Skipping.\n",
+               strerror(ret), step_ctx->dctx->domain->name);
 
         step_ctx->dctx->domain = get_next_domain(step_ctx->dctx->domain, false);
     }
@@ -1375,7 +1375,7 @@ lookup_servent_send(TALLOC_CTX *mem_ctx,
         sysdb = dom->sysdb;
         if (sysdb == NULL) {
             DEBUG(SSSDBG_FATAL_FAILURE,
-                  ("Sysdb CTX not found for [%s]!\n", dom->name));
+                  "Sysdb CTX not found for [%s]!\n", dom->name);
             ret = EINVAL;
             goto immediate;
         }
@@ -1426,18 +1426,18 @@ lookup_servent_done(struct tevent_req *subreq)
     talloc_zfree(subreq);
     if (ret != EOK) {
         DEBUG(SSSDBG_OP_FAILURE,
-              ("Unable to get information from Data Provider\n"
+              "Unable to get information from Data Provider\n"
                "dp_error: [%u], errno: [%u], error_msg: [%s]\n"
                "Will try to return what we have in cache\n",
                (unsigned int)dp_err, (unsigned int)dp_ret,
-               err_msg ? err_msg : "none"));
+               err_msg ? err_msg : "none");
     }
 
     /* Check the cache now */
     sysdb = state->dom->sysdb;
     if (sysdb == NULL) {
         DEBUG(SSSDBG_FATAL_FAILURE,
-              ("Sysdb CTX not found for [%s]!\n", state->dom->name));
+              "Sysdb CTX not found for [%s]!\n", state->dom->name);
         ret = EINVAL;
         goto done;
     }
@@ -1482,11 +1482,11 @@ setservent_step_done(struct tevent_req *req)
     talloc_zfree(req);
     if (ret == ENOENT) {
         DEBUG(SSSDBG_TRACE_FUNC,
-              ("Domain [%s] returned no results\n", dctx->domain->name));
+              "Domain [%s] returned no results\n", dctx->domain->name);
     } else if (ret != EOK) {
         DEBUG(SSSDBG_CRIT_FAILURE,
-              ("Error [%s] while retrieving info from domain [%s]. "
-               "Skipping.\n", strerror(ret), dctx->domain->name));
+              "Error [%s] while retrieving info from domain [%s]. "
+               "Skipping.\n", strerror(ret), dctx->domain->name);
         /* Continue on */
     } else {
         /* Got some results
@@ -1508,8 +1508,8 @@ setservent_step_done(struct tevent_req *req)
         }
 
         DEBUG(SSSDBG_CRIT_FAILURE,
-              ("Error [%s] requesting info from domain [%s]. Skipping.\n",
-               strerror(ret), step_ctx->dctx->domain->name));
+              "Error [%s] requesting info from domain [%s]. Skipping.\n",
+               strerror(ret), step_ctx->dctx->domain->name);
 
         step_ctx->dctx->domain = get_next_domain(step_ctx->dctx->domain, false);
     }
@@ -1546,8 +1546,8 @@ setservent_finalize(struct setent_step_ctx *step_ctx)
                           setservent_result_timeout, nctx);
     if (!te) {
         DEBUG(SSSDBG_CRIT_FAILURE,
-              ("Could not set up life timer for setservent result object. "
-               "Entries may become stale.\n"));
+              "Could not set up life timer for setservent result object. "
+               "Entries may become stale.\n");
     }
 
     nss_setent_notify_done(nctx->svcctx);
@@ -1562,7 +1562,7 @@ setservent_result_timeout(struct tevent_context *ev,
     struct nss_ctx *nctx = talloc_get_type(pvt, struct nss_ctx);
 
     DEBUG(SSSDBG_TRACE_FUNC,
-          ("setservent result object has expired. Cleaning up.\n"));
+          "setservent result object has expired. Cleaning up.\n");
 
     /* Free the service enumeration context.
      * If additional getservent requests come in, they will invoke
@@ -1597,7 +1597,7 @@ nss_cmd_setservent(struct cli_ctx *cctx)
     req = setservent_send(cmdctx, cctx);
     if (!req) {
         DEBUG(SSSDBG_CRIT_FAILURE,
-              ("Fatal error calling nss_cmd_setservent_send\n"));
+              "Fatal error calling nss_cmd_setservent_send\n");
         ret = EIO;
         goto done;
     }
@@ -1652,7 +1652,7 @@ int nss_cmd_getservent(struct cli_ctx *cctx)
     struct tevent_req *req;
 
     DEBUG(SSSDBG_TRACE_FUNC,
-          ("Requesting info for all services\n"));
+          "Requesting info for all services\n");
 
     cmdctx = talloc_zero(cctx, struct nss_cmd_ctx);
     if (!cmdctx) {
@@ -1702,8 +1702,8 @@ nss_cmd_implicit_setservent_done(struct tevent_req *req)
      */
     if (ret != EOK && ret != ENOENT) {
         DEBUG(SSSDBG_CRIT_FAILURE,
-              ("Implicit setservent failed with unexpected error [%d][%s]\n",
-               ret, strerror(ret)));
+              "Implicit setservent failed with unexpected error [%d][%s]\n",
+               ret, strerror(ret));
         NSS_CMD_FATAL_ERROR(cmdctx);
     }
 
@@ -1714,8 +1714,8 @@ nss_cmd_implicit_setservent_done(struct tevent_req *req)
     ret = nss_cmd_getservent_immediate(cmdctx);
     if (ret != EOK) {
         DEBUG(SSSDBG_CRIT_FAILURE,
-              ("Immediate retrieval failed with unexpected error "
-               "[%d][%s]\n", ret, strerror(ret)));
+              "Immediate retrieval failed with unexpected error "
+               "[%d][%s]\n", ret, strerror(ret));
         NSS_CMD_FATAL_ERROR(cmdctx);
     }
 }
@@ -1807,7 +1807,7 @@ int nss_cmd_endservent(struct cli_ctx *cctx)
     int ret;
 
     DEBUG(SSSDBG_TRACE_FUNC,
-          ("Terminating request info for all accounts\n"));
+          "Terminating request info for all accounts\n");
 
     nctx = talloc_get_type(cctx->rctx->pvt_ctx, struct nss_ctx);
 
diff --git a/src/responder/pac/pacsrv.c b/src/responder/pac/pacsrv.c
index a06d768..ee64dc8 100644
--- a/src/responder/pac/pacsrv.c
+++ b/src/responder/pac/pacsrv.c
@@ -85,7 +85,7 @@ static void pac_dp_reconnect_init(struct sbus_connection *conn,
 
     /* Did we reconnect successfully? */
     if (status == SBUS_RECONNECT_SUCCESS) {
-        DEBUG(SSSDBG_OP_FAILURE, ("Reconnected to the Data Provider.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "Reconnected to the Data Provider.\n");
 
         /* Identify ourselves to the data provider */
         ret = dp_common_send_id(be_conn->conn,
@@ -99,8 +99,8 @@ static void pac_dp_reconnect_init(struct sbus_connection *conn,
     }
 
     /* Failed to reconnect */
-    DEBUG(SSSDBG_FATAL_FAILURE, ("Could not reconnect to %s provider.\n",
-              be_conn->domain->name));
+    DEBUG(SSSDBG_FATAL_FAILURE, "Could not reconnect to %s provider.\n",
+              be_conn->domain->name);
 
     /* FIXME: kill the frontend and let the monitor restart it ? */
     /* nss_shutdown(rctx); */
@@ -131,13 +131,13 @@ int pac_process_init(TALLOC_CTX *mem_ctx,
                            "PAC", &pac_dp_interface,
                            &rctx);
     if (ret != EOK) {
-        DEBUG(SSSDBG_FATAL_FAILURE, ("sss_process_init() failed\n"));
+        DEBUG(SSSDBG_FATAL_FAILURE, "sss_process_init() failed\n");
         return ret;
     }
 
     pac_ctx = talloc_zero(rctx, struct pac_ctx);
     if (!pac_ctx) {
-        DEBUG(SSSDBG_FATAL_FAILURE, ("fatal error initializing pac_ctx\n"));
+        DEBUG(SSSDBG_FATAL_FAILURE, "fatal error initializing pac_ctx\n");
         ret = ENOMEM;
         goto fail;
     }
@@ -150,7 +150,7 @@ int pac_process_init(TALLOC_CTX *mem_ctx,
                             CONFDB_PAC_CONF_ENTRY, CONFDB_SERVICE_ALLOWED_UIDS,
                             DEFAULT_ALLOWED_UIDS, &uid_str);
     if (ret != EOK) {
-        DEBUG(SSSDBG_FATAL_FAILURE, ("Failed to get allowed UIDs.\n"));
+        DEBUG(SSSDBG_FATAL_FAILURE, "Failed to get allowed UIDs.\n");
         goto fail;
     }
 
@@ -158,7 +158,7 @@ int pac_process_init(TALLOC_CTX *mem_ctx,
                                   &pac_ctx->rctx->allowed_uids_count,
                                   &pac_ctx->rctx->allowed_uids);
     if (ret != EOK) {
-        DEBUG(SSSDBG_FATAL_FAILURE, ("Failed to set allowed UIDs.\n"));
+        DEBUG(SSSDBG_FATAL_FAILURE, "Failed to set allowed UIDs.\n");
         goto fail;
     }
 
@@ -168,7 +168,7 @@ int pac_process_init(TALLOC_CTX *mem_ctx,
                          CONFDB_SERVICE_RECON_RETRIES,
                          3, &max_retries);
     if (ret != EOK) {
-        DEBUG(SSSDBG_FATAL_FAILURE, ("Failed to set up automatic reconnection\n"));
+        DEBUG(SSSDBG_FATAL_FAILURE, "Failed to set up automatic reconnection\n");
         goto fail;
     }
 
@@ -180,7 +180,7 @@ int pac_process_init(TALLOC_CTX *mem_ctx,
     err = sss_idmap_init(sss_idmap_talloc, pac_ctx, sss_idmap_talloc_free,
                          &pac_ctx->idmap_ctx);
     if (err != IDMAP_SUCCESS) {
-        DEBUG(SSSDBG_FATAL_FAILURE, ("sss_idmap_init failed.\n"));
+        DEBUG(SSSDBG_FATAL_FAILURE, "sss_idmap_init failed.\n");
         ret = EFAULT;
         goto fail;
     }
@@ -193,18 +193,18 @@ int pac_process_init(TALLOC_CTX *mem_ctx,
                          &fd_limit);
     if (ret != EOK) {
         DEBUG(SSSDBG_FATAL_FAILURE,
-              ("Failed to set up file descriptor limit\n"));
+              "Failed to set up file descriptor limit\n");
         goto fail;
     }
     responder_set_fd_limit(fd_limit);
 
     ret = schedule_get_domains_task(rctx, rctx->ev, rctx);
     if (ret != EOK) {
-        DEBUG(SSSDBG_FATAL_FAILURE, ("schedule_get_domains_tasks failed.\n"));
+        DEBUG(SSSDBG_FATAL_FAILURE, "schedule_get_domains_tasks failed.\n");
         goto fail;
     }
 
-    DEBUG(SSSDBG_TRACE_FUNC, ("PAC Initialization complete\n"));
+    DEBUG(SSSDBG_TRACE_FUNC, "PAC Initialization complete\n");
 
     return EOK;
 
@@ -253,7 +253,7 @@ int main(int argc, const char *argv[])
     ret = die_if_parent_died();
     if (ret != EOK) {
         /* This is not fatal, don't return */
-        DEBUG(SSSDBG_OP_FAILURE, ("Could not set up to exit when parent process does\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "Could not set up to exit when parent process does\n");
     }
 
     ret = pac_process_init(main_ctx,
